cdac.medinfo.enums

## Enum EnumLOINC

- java.lang.Object
- - java.lang.Enum<EnumLOINC>
  - - cdac.medinfo.enums.EnumLOINC

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumLOINC>

      public enum EnumLOINC
      extends java.lang.Enum<EnumLOINC>

  This class specify LOINC constants used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADVANCE_DIRECTIVES` This constant specifies value representation of LOINC code for advance directives
    `ALLERGIES_OR_ADVERSE_REACTIONS` This constant specifies value representation of LOINC code for allergies or adverse reactions
    `DIAGNOSIS_STATUS` This constant specifies value representation of LOINC code for diagnosis status
    `DOSE_NUMBER` This constant specifies value representation of LOINC code for dose Number
    `FUNCTIONAL_STATUS` This constant specifies value representation of LOINC code for functional status
    `FUNCTIONAL_STATUS_ASSESSMENT_NOTE` This constant specifies value representation of LOINC code for functional status assessment note
    `HISTORY_OF_ENCOUNTERS` This constant specifies value representation of LOINC code for history of encounters
    `HISTORY_OF_FAMILY_MEMBER_DISEASE` This constant specifies value representation of LOINC code for history of family member diseases
    `HISTORY_OF_MEDICAL_DEVICE_USE` This constant specifies value representation of LOINC code for history of medical device use
    `HISTORY_OF_PROCEDURE` This constant specifies value representation of LOINC code for history of procedures
    `IMMUNIZATION` This constant specifies value representation of LOINC code for immunization
    `MEDICATION_USE` This constant specifies value representation of LOINC code for medication use
    `PAYMENT_SOURCES` This constant specifies value representation of LOINC code for payment sources
    `PLAN_OF_CARE_NOTE` This constant specifies value representation of LOINC code for plan of care note
    `PROBLEM_LIST` This constant specifies value representation of LOINC code for problem list
    `RELEVANT_DIAGNOSTIC_TESTS_OR_LABORATORY_DATA` This constant specifies value representation of LOINC code for relevant diagnostic tests or laboratory data
    `SOCIAL_HISTORY` This constant specifies value representation of LOINC code for plan of social history
    `STATUS` This constant specifies value representation of LOINC code for status
    `SUMMARIZATION_OF_EPISODE_NOTE_CODE` This constant specifies value representation of LOINC code for summarization of episode node
    `SUMMARY_PURPOSE` This constant specifies value representation of LOINC code for summary purpose
    `VITAL_SIGNS` This constant specifies value representation of LOINC code for vital Signs

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumLOINC` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumLOINC[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUMMARY_PURPOSE

          public static final EnumLOINC SUMMARY_PURPOSE

      This constant specifies value representation of LOINC code for summary purpose

    - #### DOSE_NUMBER

          public static final EnumLOINC DOSE_NUMBER

      This constant specifies value representation of LOINC code for dose Number

    - #### SUMMARIZATION_OF_EPISODE_NOTE_CODE

          public static final EnumLOINC SUMMARIZATION_OF_EPISODE_NOTE_CODE

      This constant specifies value representation of LOINC code for summarization of episode node

    - #### PAYMENT_SOURCES

          public static final EnumLOINC PAYMENT_SOURCES

      This constant specifies value representation of LOINC code for payment sources

    - #### HISTORY_OF_FAMILY_MEMBER_DISEASE

          public static final EnumLOINC HISTORY_OF_FAMILY_MEMBER_DISEASE

      This constant specifies value representation of LOINC code for history of family member diseases

    - #### ADVANCE_DIRECTIVES

          public static final EnumLOINC ADVANCE_DIRECTIVES

      This constant specifies value representation of LOINC code for advance directives

    - #### MEDICATION_USE

          public static final EnumLOINC MEDICATION_USE

      This constant specifies value representation of LOINC code for medication use

    - #### IMMUNIZATION

          public static final EnumLOINC IMMUNIZATION

      This constant specifies value representation of LOINC code for immunization

    - #### DIAGNOSIS_STATUS

          public static final EnumLOINC DIAGNOSIS_STATUS

      This constant specifies value representation of LOINC code for diagnosis status

    - #### VITAL_SIGNS

          public static final EnumLOINC VITAL_SIGNS

      This constant specifies value representation of LOINC code for vital Signs

    - #### PLAN_OF_CARE_NOTE

          public static final EnumLOINC PLAN_OF_CARE_NOTE

      This constant specifies value representation of LOINC code for plan of care note

    - #### PROBLEM_LIST

          public static final EnumLOINC PROBLEM_LIST

      This constant specifies value representation of LOINC code for problem list

    - #### HISTORY_OF_MEDICAL_DEVICE_USE

          public static final EnumLOINC HISTORY_OF_MEDICAL_DEVICE_USE

      This constant specifies value representation of LOINC code for history of medical device use

    - #### FUNCTIONAL_STATUS

          public static final EnumLOINC FUNCTIONAL_STATUS

      This constant specifies value representation of LOINC code for functional status

    - #### HISTORY_OF_PROCEDURE

          public static final EnumLOINC HISTORY_OF_PROCEDURE

      This constant specifies value representation of LOINC code for history of procedures

    - #### FUNCTIONAL_STATUS_ASSESSMENT_NOTE

          public static final EnumLOINC FUNCTIONAL_STATUS_ASSESSMENT_NOTE

      This constant specifies value representation of LOINC code for functional status assessment note

    - #### SOCIAL_HISTORY

          public static final EnumLOINC SOCIAL_HISTORY

      This constant specifies value representation of LOINC code for plan of social history

    - #### ALLERGIES_OR_ADVERSE_REACTIONS

          public static final EnumLOINC ALLERGIES_OR_ADVERSE_REACTIONS

      This constant specifies value representation of LOINC code for allergies or adverse reactions

    - #### RELEVANT_DIAGNOSTIC_TESTS_OR_LABORATORY_DATA

          public static final EnumLOINC RELEVANT_DIAGNOSTIC_TESTS_OR_LABORATORY_DATA

      This constant specifies value representation of LOINC code for relevant diagnostic tests or laboratory data

    - #### STATUS

          public static final EnumLOINC STATUS

      This constant specifies value representation of LOINC code for status

    - #### HISTORY_OF_ENCOUNTERS

          public static final EnumLOINC HISTORY_OF_ENCOUNTERS

      This constant specifies value representation of LOINC code for history of encounters

  - ### Method Detail

    - #### values

          public static EnumLOINC[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumLOINC c : EnumLOINC.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumLOINC valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.